#!/usr/bin/env pwsh

Set-StrictMode -Version latest
$ErrorActionPreference = "Stop"

$component = Get-Content -Path "component.json" | ConvertFrom-Json
$version = $(Get-Content -Path pubspec.yaml) -match "version:" -replace "version: " -replace "'"

if ($component.version -ne $version) {
    throw "Versions in component.json and pubspec.yaml do not match"
}

Write-Output "Formating code before publish"
dart format lib test

# Publish to global repository
pub get
Write-Output "Pushing package to [pub.dev] registry..."
pub publish

if ($LastExitCode -ne 0) {
    Write-Error "Release failed. Watch logs above."
}
